<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:fresco="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/bg_404040"
    android:orientation="vertical">

    <include layout="@layout/reuse_toolbar" />

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <ScrollView
            android:id="@+id/sharecard_screenshot"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_above="@+id/sharecard_bottom"
            android:fillViewport="true">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <com.facebook.drawee.view.SimpleDraweeView
                    android:id="@+id/sharecard_game_content_img"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@color/white"
                    fresco:placeholderImage="@drawable/occupy2" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@color/white"
                    android:orientation="vertical"
                    android:padding="20dp">

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_below="@+id/sharecard_content">

                        <com.facebook.drawee.view.SimpleDraweeView
                            android:id="@+id/sharecard_game_icon"
                            android:layout_width="26dp"
                            android:layout_height="26dp"
                            android:layout_marginRight="12dp" />

                        <TextView
                            android:id="@+id/sharecard_game_name"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerVertical="true"
                            android:layout_toRightOf="@+id/sharecard_game_icon"
                            android:textColor="@color/theme_font"
                            android:textSize="16sp" />

                    </RelativeLayout>

                    <TextView
                        android:id="@+id/sharecard_content"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="20dp"
                        android:textColor="@color/title"
                        android:textSize="16sp" />

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="45dp">

                        <ImageView
                            android:id="@+id/sharecard_qrcode"
                            android:layout_width="47dp"
                            android:layout_height="47dp"
                            android:layout_marginRight="10dp" />

                        <TextView
                            android:id="@+id/sharecard_qrcode_hint"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_toRightOf="@+id/sharecard_qrcode"
                            android:text="@string/sharecard_qrcode_hint"
                            android:textColor="@color/hint" />

                        <RelativeLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_below="@+id/sharecard_qrcode_hint"
                            android:layout_marginTop="6dp"
                            android:layout_toRightOf="@+id/sharecard_qrcode">

                            <ImageView
                                android:id="@+id/sharecard_gh_icon"
                                android:layout_width="16dp"
                                android:layout_height="16dp"
                                android:layout_centerVertical="true"
                                android:layout_marginRight="5dp"
                                android:src="@drawable/concern_message_icon" />

                            <TextView
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_centerVertical="true"
                                android:layout_toRightOf="@+id/sharecard_gh_icon"
                                android:text="@string/sharecard_from"
                                android:textColor="@color/hint" />

                        </RelativeLayout>
                    </RelativeLayout>
                </LinearLayout>
            </LinearLayout>
        </ScrollView>

        <LinearLayout
            android:id="@+id/sharecard_bottom"
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:layout_alignParentBottom="true"
            android:background="@color/black">

            <RelativeLayout
                android:id="@+id/sharecard_chang_img"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:gravity="center">

                <ImageView
                    android:id="@+id/sharecard_chang_img_icon"
                    android:layout_width="20dp"
                    android:layout_height="17dp"
                    android:layout_centerInParent="true"
                    android:layout_marginRight="10dp"
                    android:src="@drawable/sharecard_chang_img" />

                <TextView
                    android:id="@+id/sharecard_chang_img_tv"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerInParent="true"
                    android:layout_toRightOf="@+id/sharecard_chang_img_icon"
                    android:text="@string/change_img"
                    android:textColor="@color/white"
                    android:textSize="15sp" />
            </RelativeLayout>

            <RelativeLayout
                android:id="@+id/sharecard_share_btn"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:gravity="center">

                <ImageView
                    android:id="@+id/sharecard_share_icon"
                    android:layout_width="20dp"
                    android:layout_height="17dp"
                    android:layout_marginRight="10dp"
                    android:src="@drawable/sharecard_share_icon" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_toRightOf="@+id/sharecard_share_icon"
                    android:text="@string/share"
                    android:textColor="@color/white"
                    android:textSize="15sp" />

            </RelativeLayout>
        </LinearLayout>
    </RelativeLayout>
</LinearLayout>